sa_calendar_table:
  label: Calendar Table
  namespace: Organisms/TM - Alterations/Calendar
  use: '@organisms/tm-sa/sa-calendar/calendar-table.twig'
  description: Calendar table
  fields:
    title:
      type: text
      label: Title
      preview: Alterations for month
    alterations:
      type: object
      label: Alterations
      description: List of alterations
      preview:
        - url:
            /travel-information/service-alterations/liverpool-street-colchester-late-night-only-3
          label: Liverpool Street to Colchester (Late Night Only)
          start_date: Mon, 07/06/2021
          end_date: Fri, 11/06/2021
          location: Witham to Colchester (Late Night Only)
          nid: '358574'
        - url: /travel-information/service-alterations/service-reductions
          label: Service Reductions
          start_date: Wed, 03/05/2021
          end_date: Sat, 20/05/2021
          location: GA Network
          nid: '358579'
        - url: /travel-information/service-alterations/service-reductions
          label: London to Norwich (Late Night Only)
          start_date: Wed, 23/06/2021
          end_date: Sat, 25/06/2021
          location: Ipswich to Norwich (Late Night Only)
          nid: '358589'
        - url:
            https://www.train-operator.co.uk/travel-information/service-alterations/liverpool-street-shenfield-including-london-ipswich-intercity
          label: Liverpool Street to Shenfield including London-Ipswich Intercity
            Services LATE NOTICE ITEM
          start_date: Thu, 24/06/2021
          end_date: Sun, 25/06/2021
          location: Liverpool Street to Shenfield including London-Ipswich Intercity
            Services LATE NOTICE ITEM
          nid: '358591'
  settings:
    hide:
      type: boolean
      label: Hide rows
      default_value: true
      preview: false
    tid:
      type: select
      label: Table type
      default_value: calendar
      preview: long_term
      options:
        long-term: Long term
        calendar: Calendar
